Skip to Content

Archived discussions are read-only. Learn more about SAP Q&A

Patching Web AS Java, upgrading SDM results in version conflict

Hi,

We are currently patching Web AS Java for our XI 3.0 system which is based on Netweaver 2004 system. Since patching Java with this Netweaver version is implemented through SDM only, unlike for Netweaver 2004s which uses JSPM, we are having problems while upgrading SDM which is a requirement for patching web AS Java. Please see the error below:

SpecVersion of new SDM is older than installed SDM:(location of SDM)

SDM terminated with errors: Exit code: 4

What is the best thing do with this? Shall we continue upgrading using our SDM version? Or shall we have to find another SDM version. Also, how can we determine the patch level of SDM?

Thanks and God Bless!

Regards,

Jennah

Former Member
Not what you were looking for? View more on this topic or Ask a question